org.appng.tools.os

## Enum OperatingSystem

- java.lang.Object
- - java.lang.Enum<OperatingSystem>
  - - org.appng.tools.os.OperatingSystem

- All Implemented Interfaces:
    Serializable, Comparable<OperatingSystem>

      public enum OperatingSystem
      extends Enum<OperatingSystem>

  Enum type for different operating systems.
  Author:
    Matthias Müller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LINUX`
    `MACOSX`
    `OTHER`
    `WINDOWS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperatingSystem` | `detect()` Detects the current operating system.
    `static boolean` | `isLinux()` Checks if `System.getProperty("os.name")` returns a value that contains `"linux"` or `"nix"` (ignoring case).
    `static boolean` | `isMac()` Checks if `System.getProperty("os.name")` returns a value that contains `"mac"` (ignoring case).
    `static boolean` | `isOther()` Checks if `System.getProperty("os.name")` returns a value that does not match the other operating system name patterns.
    `static boolean` | `isWindows()` Checks if `System.getProperty("os.name")` returns a value that contains `"windows"` (ignoring case).
    `static OperatingSystem` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperatingSystem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINUX

          public static final OperatingSystem LINUX

    - #### WINDOWS

          public static final OperatingSystem WINDOWS

    - #### MACOSX

          public static final OperatingSystem MACOSX

    - #### OTHER

          public static final OperatingSystem OTHER

  - ### Method Detail

    - #### values

          public static OperatingSystem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperatingSystem c : OperatingSystem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperatingSystem valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### detect

          public static OperatingSystem detect()

      Detects the current operating system.
      Returns:
        The enum depicting the current operating system.

    - #### isLinux

          public static boolean isLinux()

      Checks if `System.getProperty("os.name")` returns a value that contains `"linux"` or `"nix"` (ignoring case).
      Returns:
        `true` if this is the case, `false` otherwise

    - #### isMac

          public static boolean isMac()

      Checks if `System.getProperty("os.name")` returns a value that contains `"mac"` (ignoring case).
      Returns:
        `true` if this is the case, `false` otherwise

    - #### isWindows

          public static boolean isWindows()

      Checks if `System.getProperty("os.name")` returns a value that contains `"windows"` (ignoring case).
      Returns:
        `true` if this is the case, `false` otherwise

    - #### isOther

          public static boolean isOther()

      Checks if `System.getProperty("os.name")` returns a value that does not match the other operating system name patterns.
      Returns:
        `true` if this is the case, `false` otherwise

Copyright © 2011–2023 aiticon GmbH. All rights reserved.